Subject: bug#18512: 24.3.93; tramp persistency file: incompatible with old versions? Tramp won't start!

From: Michael Albinus <[email-masked]>
Date: Sat, 20 Sep 2014 11:51:30 +0200

Glenn Morris <[email-masked]> writes:

> Glenn Morris wrote:
>
>> We already added a startup warning if user-emacs-directory is in
>> load-path, for precisely this kind of reason. (Eg calc has similar issues.)
>>
>> user-emacs-directory is not in load-path by default, so the question is;
>> how did it come to be in load-path, and why was the warning not seen?
>
> And indeed there is exactly the issue with calc in the original report:
>
>>> Load-path shadows:
>>> /Users/dr/Library/Application Support/Aquamacs Emacs/calc hides
>>> /Users/dr/ae24.git/nextstep/Aquamacs.app/Contents/Resources/lisp/calc/calc

So you recommend to change nothing in Tramp, right? That's what I could
do best :-)

Best regards, Michael.